Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158763 - iiimf release notes
Summary: iiimf release notes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Release Notes Tracker
QA Contact: Karsten Wade
URL: http://fedoraproject.org/wiki/DocsPro...
Whiteboard:
Depends On:
Blocks: fc-relnotes-traqr
TreeView+ depends on / blocked
 
Reported: 2005-05-25 14:08 UTC by Jens Petersen
Modified: 2007-04-18 17:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-30 14:38:48 UTC


Attachments (Terms of Use)

Description Jens Petersen 2005-05-25 14:08:46 UTC
Description of problem, bug, incorrect information, or enhancement request:
Notes on iiimf from i18n team.

Version of release notes this bug refers to:
Fedora Core 4 final release

=== Language Support ===

IIIMF input system

The "iiimf" package has been updated to version 12.2.

* Filepath Changes

The name and locations of some files in the iiimf packages have changed.

The IIIMF server has been renamed from "/usr/sbin/htt"
to "/usr/bin/iiimd", and the XIM bridge client renamed from "httx" to "iiimx".
The init.d script name has not changed: it is still called "iiim".
All the global system configuration files are now located under "/etc/iiim/".

Language Engine (LE) developers should note that LE modules and their data now
live under
"${libdir}/iiim/le/<LE_NAME>/", while runtime data is stored under
"/var/lib/iiim/le/<LE_NAME>/".

For more information on the exact path and file location changes, please refer
to Fedora IIIMF FAQ: 
http://www.fedora.redhat.com/projects/i18n/iiimf-faq.html.

* Hotkeys

Trigger keys, such as Ctrl-Space used to activate Input Methods, are now
configurable
with a command-line tool called "iiimf-le-tools".
This feature is only supported by gtk2 applications currently: for other
applications using XIM
the trigger key can be changed using an X resource.  Please see the IIIMF FAQ at
http://www.fedora.redhat.com/projects/i18n/iiimf-faq.html for more details on
how to change trigger hotkeys.

Please note that the keyname refers to the X key symbol name, so for example if
you want to activate
with Ctrl-@ say, you need to specify '<Control>at' as the keyname not '<Control>@'.

Please also note that per-user configuration of hotkeys does not work currently
with SELinux in enforcing mode
due to lack of SELinux policy.  So if you want to run your system in enforcing
mode, 
the hotkey can only be changed in the system-wide configuration.

* Qt support

A Qt immodule for iiimf is now included.  While it works fairly well, it lacks a
status window
and is still experimental: hence the default for Qt applications is still to use
XIM for iiimf input.
If you wish to try it in a Qt application, first install the "iiimf-qt" package,
start the application,
then click mouse button-3 in an input area and select iiimqcf from the 'Select
Input Method' submenu.

Comment 1 Karsten Wade 2005-05-30 14:38:48 UTC
Included in FC4 release notes under the Language section.  Thanks for the update.


Note You need to log in before you can comment on or make changes to this bug.